package ru.dbotthepony.kstarbound.defs.item.api

import ru.dbotthepony.kvector.vector.RGBAColor
import ru.dbotthepony.kvector.vector.Vector2d

interface IFlashlightDefinition : IItemDefinition, IItemInHandDefinition {
	/**
	 * Смещение в пикселях
	 */
	val lightPosition: Vector2d

	val lightColor: RGBAColor

	val beamLevel: Int

	val beamAmbience: Double
}
