package ru.dbotthepony.kstarbound.defs.tile

import it.unimi.dsi.fastutil.objects.Object2DoubleMap
import ru.dbotthepony.kstarbound.io.json.builder.JsonFactory

@JsonFactory
class TileDamageConfig(
	val damageFactors: Object2DoubleMap<String>,
	val damageRecovery: Double,
	val maximumEffectTime: Double,
	val health: Double? = null,
	val harvestLevel: Int? = null
)
